## 16 elfedit

         elfedit [--input-mach=machine]
                 [--input-type=type]
                 [--input-osabi=osabi]
                 --output-mach=machine
                 --output-type=type
                 --output-osabi=osabi
                 [-v|--version]
                 [-h|--help]
                 elffile...

`elfedit` updates the ELF header of ELF files which have the matching ELF machine and file types. The options control how and which fields in the ELF header should be updated.

elffile... are the ELF files to be updated. 32-bit and 64-bit ELF files are supported, as are archives containing ELF files.

The long and short forms of options, shown here as alternatives, are equivalent. At least one of the `--output-mach`, `--output-type` and `--output-osabi` options must be given.

`--input-mach=machine`
  Set the matching input ELF machine type to machine. If `--input-mach` isn't specified, it will match any ELF machine types.

  The supported ELF machine types are, i386, IAMCU, L1OM, K1OM and x86-64.

`--output-mach=machine`
  Change the ELF machine type in the ELF header to machine. The supported ELF machine types are the same as `--input-mach`.
`--input-type=type`
  Set the matching input ELF file type to type. If `--input-type` isn't specified, it will match any ELF file types.

  The supported ELF file types are, rel, exec and dyn.

`--output-type=type`
  Change the ELF file type in the ELF header to type. The supported ELF types are the same as `--input-type`.
`--input-osabi=osabi`
  Set the matching input ELF file OSABI to osabi. If `--input-osabi` isn't specified, it will match any ELF OSABIs.

  The supported ELF OSABIs are, none, HPUX, NetBSD, GNU, Linux (alias for GNU), Solaris, AIX, Irix, FreeBSD, TRU64, Modesto, OpenBSD, OpenVMS, NSK, AROS and FenixOS.

`--output-osabi=osabi`
  Change the ELF OSABI in the ELF header to osabi. The supported ELF OSABI are the same as `--input-osabi`.
`-v`
`--version`
  Display the version number of `elfedit`.
`-h`
`--help`
  Display the command line options understood by `elfedit`.